Port out is required when a user wants to keep their number when cancelling their subscription. There are multiple steps involved between the user, the current carrier, and the new carrier.
Type of object is always portOut.
portOut Unique identifier for the port out.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"The behavior of the port out.
A value of portOut indicates that using this
port out will transfer the phone number to the recipient provider.
Port out with behavior cancelOnly
will cancel the service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portOut"cancelOnly portOut Time when the port out is completed successfully.
"2022-02-21T19:38:34Z"Time when the port out was created.
"2020-01-01T00:00:00Z"Time when early expiration of the port out was requested.
"2022-02-21T19:38:12Z"Time when the port out expires and won't be valid anymore.
"2022-02-21T19:38:34Z"The reason for the port out failure.
"consentNotGiven"consentNotGiven consentRequestCanceled The current status of the port out.
"issued"completed expired failed initiated issued processing Unique identifier of the subscription affected.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this port out credentials are for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"{
"object": "portOut",
"id": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"behavior": "portOut",
"completedAt": "2022-02-21T19:38:34Z",
"createdAt": "2020-01-01T01:01:01.0Z",
"expirationRequestedAt": "2022-02-21T19:38:12Z",
"expiredAt": "2022-02-21T19:38:34Z",
"failureReason": "consentNotGiven",
"status": "issued",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Returns a list of port outs.
The unique identifier of the subscription to be filtered by.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"A comma-separated list of statuses to filter the port outs by. Only initiated, processing and issued port outs are returned by default.
initiated,issued,processingA cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a dictionary with an items property that contains an array of port outs.
Type of object is always list.
list portOut.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/portOuts \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "portOut",
"id": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"behavior": "portOut",
"completedAt": "2022-02-21T19:38:34Z",
"createdAt": "2020-01-01T00:00:00Z",
"expirationRequestedAt": "2022-02-21T19:38:12Z",
"expiredAt": "2022-02-21T19:38:34Z",
"failureReason": "consentNotGiven",
"status": "issued",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Create a new port out.
The behavior of the port out.
A value of portOut indicates that using this
port out will transfer the phone number to the recipient provider.
Port out with behavior cancelOnly
will cancel the service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
Defaults to portOut if no value is provided.
"portOut"portOutcancelOnly portOut Unique identifier of the subscription the port out applies to.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Returns the created port out.
Type of object is always portOut.
portOut Unique identifier for the port out.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"The behavior of the port out.
A value of portOut indicates that using this
port out will transfer the phone number to the recipient provider.
Port out with behavior cancelOnly
will cancel the service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portOut"cancelOnly portOut Time when the port out is completed successfully.
"2022-02-21T19:38:34Z"Time when the port out was created.
"2020-01-01T00:00:00Z"Time when early expiration of the port out was requested.
"2022-02-21T19:38:12Z"Time when the port out expires and won't be valid anymore.
"2022-02-21T19:38:34Z"The reason for the port out failure.
"consentNotGiven"consentNotGiven consentRequestCanceled The current status of the port out.
"issued"completed expired failed initiated issued processing Unique identifier of the subscription affected.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this port out credentials are for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portOuts \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"behavior": "portOut",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}'
{
"object": "portOut",
"id": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"behavior": "portOut",
"completedAt": "2022-02-21T19:38:34Z",
"createdAt": "2020-01-01T00:00:00Z",
"expirationRequestedAt": "2022-02-21T19:38:12Z",
"expiredAt": "2022-02-21T19:38:34Z",
"failureReason": "consentNotGiven",
"status": "issued",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Retrieves the details of an existing port out.
Returns the port out.
Type of object is always portOut.
portOut Unique identifier for the port out.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"The behavior of the port out.
A value of portOut indicates that using this
port out will transfer the phone number to the recipient provider.
Port out with behavior cancelOnly
will cancel the service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portOut"cancelOnly portOut Time when the port out is completed successfully.
"2022-02-21T19:38:34Z"Time when the port out was created.
"2020-01-01T00:00:00Z"Time when early expiration of the port out was requested.
"2022-02-21T19:38:12Z"Time when the port out expires and won't be valid anymore.
"2022-02-21T19:38:34Z"The reason for the port out failure.
"consentNotGiven"consentNotGiven consentRequestCanceled The current status of the port out.
"issued"completed expired failed initiated issued processing Unique identifier of the subscription affected.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this port out credentials are for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portOuts/{portOut} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "portOut",
"id": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"behavior": "portOut",
"completedAt": "2022-02-21T19:38:34Z",
"createdAt": "2020-01-01T00:00:00Z",
"expirationRequestedAt": "2022-02-21T19:38:12Z",
"expiredAt": "2022-02-21T19:38:34Z",
"failureReason": "consentNotGiven",
"status": "issued",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Retrieve the credentials of an issued port out.
Returns the port out credentials.
Type of object is always portOutCredentials.
portOutCredentials The account number on the service provider. Account number is null if no account number is issued in the respective country.
"123456789"The account pin from the service provider.
"1234"Unique identifier of the port out this credentials are for.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portOuts/{portOut}/credentials \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "portOutCredentials",
"accountNumber": "123456789",
"accountPin": "1234",
"portOut": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s"
}
Requests expiration of the port out, making the credentials unusable. Port outs with a status
of "initiated", "processing" or "issued" can be expired. The returned port out
will have the status as before, but with an expirationRequestedAt timestamp.
Returns the port out
Type of object is always portOut.
portOut Unique identifier for the port out.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"The behavior of the port out.
A value of portOut indicates that using this
port out will transfer the phone number to the recipient provider.
Port out with behavior cancelOnly
will cancel the service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portOut"cancelOnly portOut Time when the port out is completed successfully.
"2022-02-21T19:38:34Z"Time when the port out was created.
"2020-01-01T00:00:00Z"Time when early expiration of the port out was requested.
"2022-02-21T19:38:12Z"Time when the port out expires and won't be valid anymore.
"2022-02-21T19:38:34Z"The reason for the port out failure.
"consentNotGiven"consentNotGiven consentRequestCanceled The current status of the port out.
"issued"completed expired failed initiated issued processing Unique identifier of the subscription affected.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this port out credentials are for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portOuts/{portOut}/expire \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "portOut",
"id": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"behavior": "portOut",
"completedAt": "2022-02-21T19:38:34Z",
"createdAt": "2020-01-01T00:00:00Z",
"expirationRequestedAt": "2022-02-21T19:38:12Z",
"expiredAt": "2022-02-21T19:38:34Z",
"failureReason": "consentNotGiven",
"status": "issued",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Simulates completion of a port out for a subscription with a test SIM. Can be used to test complete flow of a successful port out with end of subscription.
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Port out completed successfully.
Type of object is always portOut.
portOut Unique identifier for the port out.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"The behavior of the port out.
A value of portOut indicates that using this
port out will transfer the phone number to the recipient provider.
Port out with behavior cancelOnly
will cancel the service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portOut"cancelOnly portOut Time when the port out is completed successfully.
"2022-02-21T19:38:34Z"Time when the port out was created.
"2020-01-01T00:00:00Z"Time when early expiration of the port out was requested.
"2022-02-21T19:38:12Z"Time when the port out expires and won't be valid anymore.
"2022-02-21T19:38:34Z"The reason for the port out failure.
"consentNotGiven"consentNotGiven consentRequestCanceled The current status of the port out.
"issued"completed expired failed initiated issued processing Unique identifier of the subscription affected.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this port out credentials are for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/testing/projects/${GIGS_PROJECT}/portOuts/{portOut}/simulate \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "portOut",
"id": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"behavior": "portOut",
"completedAt": "2022-02-21T19:38:34Z",
"createdAt": "2020-01-01T00:00:00Z",
"expirationRequestedAt": "2022-02-21T19:38:12Z",
"expiredAt": "2022-02-21T19:38:34Z",
"failureReason": "consentNotGiven",
"status": "issued",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}